<?
$vt = "byttemarkedet";
include("menu.php");
include("forb.php");

if(isset($_POST[show])) {
$need = $_POST[show];
} else {
$need = "alle";
}

if(isset($_GET[slet])) {
    mysql_query("DELETE FROM bytteborsen WHERE id='$_GET[slet]'");
}
if(isset($_POST[ting])) {
    if(isset($_SESSION[brugernavn])) {
        $tid = time();
        mysql_query("INSERT INTO bytteborsen SET bruger='$_SESSION[brugernavn]',ting='$_POST[ting]',beskrivelse='$_POST[beskrivelse]',type='$_POST[type]',time='$tid'") or die(mysql_error());
        echo'
        <table border="0" width="100%" style="border: 1px solid #999999">
            <tr>
                <td>Din ting er nu oprettet på byttemarkedet <a href="index.php">Se selv!</a></td>
            </tr>
        </table><br>
        ';
    } else {
        echo'
        <table border="0" width="100%" style="border: 1px solid #999999">
            <tr>
                <td>Du skal være logget ind for at tilføje en ting her. <a href="index.php">Gå tilbage til byttemarkedet</a></td>
            </tr>
        </table><br>
        ';
    }
}
if($_GET[action] == "tilfojmobel") {
    if(isset($_SESSION[brugernavn])) {
echo'
<table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td>
        <table border="0" width="100%" cellpadding="0" cellspacing="0">
            <tr>
                <td><b><font color="red">Tilføj din egen ting!</font></b></td>
                <td align="right"><a href="index.php"><font color="green">Se auktionshuset!</font></a></td>
            </tr>
        </table>
        <br>Søger du en ting på Habbo.dk? men du kan bare ikke finde en der har den ting?! Så tilføj den ting du søger/ bytter her, og folk vil svare dig :-)
        </td>
    </tr>
</table><br>
<table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td>
        <table border="0" width="100%" cellpadding="0" cellspacing="2">
            <form action="index.php" method="post">
            <tr>
                <td width="80"><b>Ting navn:</b></td>
                <td><input type="text" name="ting" style="width: 100%"></td>
            </tr>
            <tr>
                <td width="80"><b>Type:</b></td>
                <td><select name="type"><option value="salg">Jeg sælger denne ting!</option><option value="soges">Jeg søger denne ting!</option></select></td>
            </tr>
            <tr>
                <td width="80"><b>Lille beskrivelse:</b></td>
                <td><textarea name="beskrivelse" rows="6" style="width: 100%"></textarea></td>
            </tr>
            <tr>
                <td width="80"></td>
                <td><input type="submit" name="submit" value="Smid ind i auktionshuset!" style="width: 100%"></td>
            </tr>
            </form>
        </table>
        </td>
    </tr>
</table><br>

';
    } else {
        echo'
        <table border="0" width="100%" style="border: 1px solid #999999">
            <tr>
                <td>Du skal være logget ind for at tilføje en ting her. <a href="index.php">Gå tilbage til Auktionshuset!</a></td>
            </tr>
        </table><br>
        ';
    }
} else {

//FUNKTION TIL AT RYDDE OP MED....
$query = mysql_query("SELECT * FROM bytteborsen");
while($row = mysql_fetch_assoc($query)) {

    $tidnu = time();
    $tidplus = $row[time] + 3600 * 48;
    if($tidnu > $tidplus) {
        mysql_query("DELETE FROM bytteborsen WHERE id='$row[id]'");
    }
    
}

echo'
<table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td>
        <table border="0" width="100%" cellpadding="0" cellspacing="0">
            <tr>
                <td><b>Byttemarkedet</b></td>
                <td align="right"><a href="index.php?action=tilfojmobel">Tilføj din egen ting</a></td>
            </tr>
        </table>
        <br>Søger du en ting på Habbo.dk? men du kan bare ikke finde en der har den ting?! Så tilføj den ting du søger/ bytter her, og folk vil svare dig :-)
        <br><br>
        <form action="index.php" method="post">
            Vis kun:
            <select name="show">
                <option value="alle">Alle</option>
                <option value="soges"'; if($need == "soges") { echo' selected'; } echo'>Ting der søges</option>
                <option value="salg"'; if($need == "salg") { echo' selected'; } echo'>Ting der sælges</option>
            </select> <input type="submit" value="Vis">
        </form>
        </td>
    </tr>
</table><br><br>
';


if($need == "soges" OR $need == "alle") {
echo'
<table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td><b>Ting der søges:</b></td>
    </tr>
</table><br>
';
$query = mysql_query("SELECT * FROM bytteborsen WHERE type='soges' ORDER BY id DESC");
$num = mysql_num_rows($query);
if($num == 0) {
echo'
<table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td>Der er desværre ingen ting der søges på byttemarkedet lige nu.</td>
    </tr>
</table><br><br>
';
}
while($row = mysql_fetch_assoc($query)) {
    $queryb = mysql_query("SELECT figur,vips FROM brugere WHERE brugernavn='$row[bruger]'");
    $rowb = mysql_fetch_assoc($queryb);
    $querya = mysql_query("SELECT url FROM figurer WHERE id='$rowb[figur]'");
    $rowa = mysql_fetch_assoc($querya);
    $queryh = mysql_query("SELECT bytteborsen FROM holdet WHERE navn='$_SESSION[brugernavn]'");
    $rowh = mysql_fetch_assoc($queryh);
    if($rowh[bytteborsen] == 1) {
        $adgangslet = 1;
    }
    if($rowb[vips] == 1) {
    $aftercode = '<img src="http://zlash.dk/images/star.gif">';
	} else {
    $aftercode = "";
	}
    echo'
    <table border="0" width="100%" style="border: 1px solid #999999">
        <tr>
            <td width="60" rowspan="3"><center><img src="'.$rowa[url].'"></center></td>
            <td>'.$row[bruger].' '.$aftercode.' søger: <b>'.$row[ting].'</b> '; if($row[bruger] == $_SESSION[brugernavn] OR $adgangslet == 1) { echo'<a href="index.php?slet='.$row[id].'">[slet ting]</a>'; } echo'</td>
        </tr>
        <tr>
            <td>'.nl2br(htmlentities($row[beskrivelse])).'</td>
        </tr>
        <tr>
            <td align="right"><a href="../community/funktioner/post.php?page=Nypost&til='.$row[bruger].'">Skriv til bruger</a></td>
        </tr>
    </table><br>
    ';
}

}
if($need == "salg" OR $need == "alle") {

echo'
<br><table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td><b>Ting til salg:</b></td>
    </tr>
</table><br>
';
$query = mysql_query("SELECT * FROM bytteborsen WHERE type='salg' ORDER BY id DESC");
$num = mysql_num_rows($query);
if($num == 0) {
echo'
<table border="0" width="100%" style="border: 1px solid #999999">
    <tr>
        <td>Der er desværre ingen ting til salg på byttemarkedet lige nu.</td>
    </tr>
</table><br><br>
';
}
while($row = mysql_fetch_assoc($query)) {
    $queryb = mysql_query("SELECT figur,vips FROM brugere WHERE brugernavn='$row[bruger]'");
    $rowb = mysql_fetch_assoc($queryb);
    $querya = mysql_query("SELECT url FROM figurer WHERE id='$rowb[figur]'");
    $rowa = mysql_fetch_assoc($querya);
    $queryh = mysql_query("SELECT bytteborsen FROM holdet WHERE navn='$_SESSION[brugernavn]'");
    $rowh = mysql_fetch_assoc($queryh);
    if($rowh[bytteborsen] == 1) {
        $adgangslet = 1;
    }
    if($rowb[vips] == 1) {
    $aftercode = '<img src="http://zlash.dk/images/star.gif">';
	} else {
    $aftercode = "";
	}
    echo'
    <table border="0" width="100%" style="border: 1px solid #999999">
        <tr>
            <td width="60" rowspan="3"><center><img src="'.$rowa[url].'"></center></td>
            <td>'.$row[bruger].' '.$aftercode.' sælger: <b>'.$row[ting].'</b> '; if($row[bruger] == $_SESSION[brugernavn] OR $adgangslet == 1) { echo'<a href="index.php?slet='.$row[id].'">[slet ting]</a>'; } echo'</td>
        </tr>
        <tr>
            <td>'.nl2br(htmlentities($row[beskrivelse])).'</td>
        </tr>
        <tr>
            <td align="right"><a href="../community/funktioner/post.php?page=Nypost&til='.$row[bruger].'">Skriv til sælger</a></td>
        </tr>
    </table><br>
    ';
}

}
}
include("forb.php");
?>
